<?php

namespace App\Classes\Modules\ControllersLogic\Companies;


use App\Classes\Modules\Companies\Services\UpdatesCompany;
use Illuminate\Http\Request;

class UpdateCompanyLogic
{
    /** @var  UpdatesCompany */
    private $UpdatesCompany;

    /**
     * UpdateCompanyLogic constructor.
     * @param UpdatesCompany $UpdatesCompany
     */
    public function __construct(UpdatesCompany $UpdatesCompany)
    {
        $this->UpdatesCompany = $UpdatesCompany;
    }


    public function execute(Request $request){

        return $this->UpdatesCompany->execute($request);
    }
}